Summary: The GNU macro processor.
Name: m4
Version: 1.4.1
Release: 1.3.0
Copyright: GPL
Group: Applications/Text
Source: ftp://ftp.gnu.org/gnu/m4/m4-1.4.1.tar.gz
URL: ftp://ftp.gnu.org/gnu/m4/
Patch0: m4-1.4.1-sec.patch
Patch1: m4-1.4.1-configure.patch
Buildroot: %{_tmppath}/%{name}-root
Prereq: /sbin/install-info

%description
A GNU implementation of the traditional UNIX macro processor.  M4 is
useful for writing text files which can be logically parsed, and is used
by many programs as part of their build process.  M4 has built-in
functions for including files, running shell commands, doing arithmetic,
etc.  The autoconf program needs m4 for generating configure scripts, but
not for running configure scripts.

Install m4 if you need a macro processor.

%prep
rm -rf $RPM_BUILD_ROOT

%setup
%patch0 -p1
%patch1 -p1

%build
autoreconf -f
test -f /usr/share/libtool/config.guess && cp /usr/share/libtool/config.guess .
test -f /usr/share/libtool/config.sub   && cp /usr/share/libtool/config.sub .
%configure
make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s

%install
%makeinstall INSTALL_DATA="install -c -m644"

%files
%defattr(-,root,root)
%doc NEWS README
/usr/bin/m4
%{_infodir}/*

%post
/sbin/install-info %{_infodir}/m4.info.gz %{_infodir}/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/m4.info.gz %{_infodir}/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).
  - Taken from Red Hat 7.3.  Pre-EnGarde changelog removed.
